//////////////////////////////
// DHTML Context Menu Library
// By Nicholas Skapura
// Version 1.0
// September 26, 2000
// Copyright (c) 2000 Nicholas Skapura
//////////////////////////////

////////// Global Variables //////////
var
	IsOn = false,ContextWidth,ContextFont,NumConItems = 0,MouseOn = false,TempColor;

////////// Init Context ///
// Initializes internal variables.
// WidthArg - Default width of
//   the menu.
// FontArg - Number of pixels
//   vertically, of the text.
/////////////////////////
function InitContext(WidthArg,FontArg)
{
	ContextWidth = WidthArg;
	ContextFont = FontArg;
	ContextMenu.style.width = WidthArg;
	document.onContextMenu = ToggleContext;
	document.onMouseMove = TestOnMenu;
	ContextMenu.style.position = 'absolute';
}

////////// Toggle Context /////
// Call during document oncontextmenu
// Toggles the context menu on and off.
/////////////////////////
function ToggleContext()
{
	if(IsOn)
	{
		ContextMenu.style.display = 'none';
		ContextMenu.style.posLeft = 0;
		IsOn = false;
	}
	else
	{
		ContextMenu.style.display = 'block';
		ContextMenu.style.pixelLeft = event.x - 15;
		ContextMenu.style.pixelTop = event.y - 15;
		IsOn = true;
	}
		event.returnValue = false;
}

////////// Test On Menu //
// Call during document onmousemove.
// Tests whether the mouse is within
//   the bounds of the context menu.
/////////////////////////
function TestOnMenu()
{
	if(event.x < ContextMenu.style.posLeft || event.x > ContextMenu.style.posLeft + ContextWidth
		|| event.y < ContextMenu.style.posTop || event.y > ContextMenu.style.posTop + ContextFont * NumConItems)
	{
		ContextMenu.style.display = 'none';
		IsOn = false;
	}
}

////////// Add Context //
// Adds a menu item.
// Name - Name label which
//   appears on the page.
// Address - URL of the link.
// Color - Color of the link.
// Title - Optional title display.
/////////////////////////
function AddContext(Name,Address,Color,Title)
{
	if(Name != "-")
		if(Title == null)
			document.write("<A STYLE='color:" + Color + ";' HREF='" + Address + "' ONMOUSEOVER='Highlight(this);' ONMOUSEOUT='Highlight(this);'>" + Name + "</A><BR>");
		else
			document.write("<A TITLE='" + Title + "' STYLE='color:" + Color + ";' HREF='" + Address + "' ONMOUSEOVER='Highlight(this);' ONMOUSEOUT='Highlight(this);'>" + Name + "</A><BR>");
	else
		document.write("<HR SIZE=1 STYLE='color:" + Color + ";'>");
	NumConItems++;
}